package com.ipsa.learn.dao;

import com.ipsa.learn.entity.CourseDailycheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ipsa.learn.entity.RedFlag;
import com.ipsa.learn.entity.RedFlagRequest;
import com.ipsa.learn.entity.RedFlagScore;

import java.util.List;

/**
 * <p>
 * 日常检查 Mapper 接口
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-09-03
 */
public interface CourseDailycheckDao extends BaseMapper<CourseDailycheck> {


    /**
     * @description: 查询红旗列表
     * @param request 请求参数
     * @return:
     * @author: llq
     * @date: 2020/9/7
     */
    List<RedFlag> selectRedFlag(RedFlagRequest request);

    /**
     * @description: 事项得分
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/7
     */
    List<RedFlagScore> selectRedFlagScore(RedFlagRequest request);
}
