package com.ipsa.learn.dao;

import com.ipsa.learn.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 成绩列表 Mapper 接口
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-09-04
 */
public interface CourseResultlistDao extends BaseMapper<CourseResultlist> {

    CourseResultlist getCountSum(String course_resultsupload_id);

    List<CourseResultlist> getResultList(CourseResultsupload courseResultsupload);

    List<CourseSoreVo> getParentsList(CourseResultsuploadVo courseResultsuploadVo);

    /**
     * @description:  查询学情分析列表
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/8
     */
    CourseResultlist selectLearnAnalysis(LearnAnalysisRequest request);

    /**
     * @description: 查询年级人数
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/8
     */
    Integer selectGradeNumber(LearnAnalysisRequest request);
}
