package com.ipsa.learn.entity;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/** 
 * @program: 历史成绩查询
 * @description:  
 * @author: llq 
 * @date: 2020/9/8 
 */
@Data
public class CourseScoreHistoryRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间")
    private String start;

    @ApiModelProperty("结束时间")
    private String end;

    @ApiModelProperty("科目名称 空字符为全部")
    private String subject;

    @ApiModelProperty("学生ID")
    private String studentId;
}
