package com.ipsa.learn.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-25
 */
@Data
@TableName("crs_p_gateway_info")
public class CrsPGatewayInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 支付网关
     */
    private String gatewayId;

    /**
     * 支付方式id
     */
    private String payMethod;

    /**
     * pid
     */
    private String busCoopId;

    /**
     * 账号
     */
    private String busCoopAcc;

    /**
     * key
     */
    private String busCoopKey;

    /**
     * 微信appid
     */
    private String appId;

    private String paySignKey;

    /**
     * 密码
     */
    private String appSecret;

    /**
     * 合作公司
     */
    private String idCompany;

    private LocalDateTime createdTime;

    private String createdBy;

    private LocalDateTime updatedTime;

    private String updatedBy;

    /**
     * 公钥路径
     */
    private String publicKeyPath;

    /**
     * 私钥路径
     */
    private String privateKeyPath;


    public String getGatewayId() {
        return gatewayId;
    }

    public void setGatewayId(String gatewayId) {
        this.gatewayId = gatewayId;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public String getBusCoopId() {
        return busCoopId;
    }

    public void setBusCoopId(String busCoopId) {
        this.busCoopId = busCoopId;
    }

    public String getBusCoopAcc() {
        return busCoopAcc;
    }

    public void setBusCoopAcc(String busCoopAcc) {
        this.busCoopAcc = busCoopAcc;
    }

    public String getBusCoopKey() {
        return busCoopKey;
    }

    public void setBusCoopKey(String busCoopKey) {
        this.busCoopKey = busCoopKey;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getPaySignKey() {
        return paySignKey;
    }

    public void setPaySignKey(String paySignKey) {
        this.paySignKey = paySignKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getIdCompany() {
        return idCompany;
    }

    public void setIdCompany(String idCompany) {
        this.idCompany = idCompany;
    }

    public LocalDateTime getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(LocalDateTime updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getPublicKeyPath() {
        return publicKeyPath;
    }

    public void setPublicKeyPath(String publicKeyPath) {
        this.publicKeyPath = publicKeyPath;
    }

    public String getPrivateKeyPath() {
        return privateKeyPath;
    }

    public void setPrivateKeyPath(String privateKeyPath) {
        this.privateKeyPath = privateKeyPath;
    }

    @Override
    public String toString() {
        return "CrsPGatewayInfo{" +
        "gatewayId=" + gatewayId +
        ", payMethod=" + payMethod +
        ", busCoopId=" + busCoopId +
        ", busCoopAcc=" + busCoopAcc +
        ", busCoopKey=" + busCoopKey +
        ", appId=" + appId +
        ", paySignKey=" + paySignKey +
        ", appSecret=" + appSecret +
        ", idCompany=" + idCompany +
        ", createdTime=" + createdTime +
        ", createdBy=" + createdBy +
        ", updatedTime=" + updatedTime +
        ", updatedBy=" + updatedBy +
        ", publicKeyPath=" + publicKeyPath +
        ", privateKeyPath=" + privateKeyPath +
        "}";
    }
}
