package com.ipsa.learn.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-25
 */
@Data
@TableName("crs_p_order_form")
public class CrsPOrderForm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 渠道订单号
     */
    private String orderNo;

    /**
     * 银联订单号
     */
    private String unionpayOrderNo;

    /**
     * 渠道id
     */
    private String channelId;

    /**
     * 订单金额
     */
    private BigDecimal orderAmount;

    /**
     * 订单名称
     */
    private String orderName;

    /**
     * 订单状态
     */
    private String orderStatus;

    /**
     * 支付方式
     */
    private String payMethod;

    /**
     * 订单时间
     */
    private LocalDateTime orderTime;

    /**
     * 合作公司id
     */
    private String idCompany;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;

    /**
     * 更新者
     */
    private String updatedBy;

    /**
     * 同步url
     */
    private String returnUrl;

    /**
     * 异步url
     */
    private String notifyUrl;

    /**
     * 错误url
     */
    private String errorNotifyUrl;

    private String remark1;

    private String remark2;

    private String remark3;

    /**
     * 超时时间
     */
    private String payExpire;

    /**
     * 年级(1一年级2二年级3三年级4四年级5五年级购6六年级)
     */
    private String grade;

    /**
     * 班级(1一班2二班3三班4四班5五班购6六班)
     */
    private String classNumber;

    /**
     * 家长姓名
     */
    private String parentName;

    /**
     * 学生姓名
     */
    private String studentName;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 手机号
     */
    private String phone;


    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getUnionpayOrderNo() {
        return unionpayOrderNo;
    }

    public void setUnionpayOrderNo(String unionpayOrderNo) {
        this.unionpayOrderNo = unionpayOrderNo;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public LocalDateTime getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(LocalDateTime orderTime) {
        this.orderTime = orderTime;
    }

    public String getIdCompany() {
        return idCompany;
    }

    public void setIdCompany(String idCompany) {
        this.idCompany = idCompany;
    }

    public LocalDateTime getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(LocalDateTime updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getErrorNotifyUrl() {
        return errorNotifyUrl;
    }

    public void setErrorNotifyUrl(String errorNotifyUrl) {
        this.errorNotifyUrl = errorNotifyUrl;
    }

    public String getRemark1() {
        return remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getRemark3() {
        return remark3;
    }

    public void setRemark3(String remark3) {
        this.remark3 = remark3;
    }

    public String getPayExpire() {
        return payExpire;
    }

    public void setPayExpire(String payExpire) {
        this.payExpire = payExpire;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNumber() {
        return classNumber;
    }

    public void setClassNumber(String classNumber) {
        this.classNumber = classNumber;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Override
    public String toString() {
        return "CrsPOrderForm{" +
        "orderId=" + orderId +
        ", orderNo=" + orderNo +
        ", unionpayOrderNo=" + unionpayOrderNo +
        ", channelId=" + channelId +
        ", orderAmount=" + orderAmount +
        ", orderName=" + orderName +
        ", orderStatus=" + orderStatus +
        ", payMethod=" + payMethod +
        ", orderTime=" + orderTime +
        ", idCompany=" + idCompany +
        ", createdTime=" + createdTime +
        ", createdBy=" + createdBy +
        ", updatedTime=" + updatedTime +
        ", updatedBy=" + updatedBy +
        ", returnUrl=" + returnUrl +
        ", notifyUrl=" + notifyUrl +
        ", errorNotifyUrl=" + errorNotifyUrl +
        ", remark1=" + remark1 +
        ", remark2=" + remark2 +
        ", remark3=" + remark3 +
        ", payExpire=" + payExpire +
        ", grade=" + grade +
        ", classNumber=" + classNumber +
        ", parentName=" + parentName +
        ", studentName=" + studentName +
        ", remarks=" + remarks +
        ", schoolName=" + schoolName +
        ", phone=" + phone +
        "}";
    }
}
