package com.ipsa.learn.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-25
 */
@Data
@TableName("crs_p_pay_record")
public class CrsPPayRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 支付单号
     */
    private String payOrderNo;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 交易号
     */
    private String tradeNo;

    /**
     * 交易时间
     */
    private LocalDateTime payTime;

    /**
     * 交易状态
     */
    private String payStatus;

    /**
     * 支付方式
     */
    private String payMethod;

    /**
     * 买家支账号
     */
    private String buyerAlipayAcc;

    /**
     * 卖家支付账号
     */
    private String sellerAlipayAcc;

    /**
     * 支付银行卡号
     */
    private String payCardNo;

    /**
     * 通知类型
     */
    private String notifyType;

    /**
     * 合作公司id
     */
    private String idCompany;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;

    /**
     * 更新者
     */
    private String updatedBy;


    public String getPayOrderNo() {
        return payOrderNo;
    }

    public void setPayOrderNo(String payOrderNo) {
        this.payOrderNo = payOrderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public LocalDateTime getPayTime() {
        return payTime;
    }

    public void setPayTime(LocalDateTime payTime) {
        this.payTime = payTime;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public String getBuyerAlipayAcc() {
        return buyerAlipayAcc;
    }

    public void setBuyerAlipayAcc(String buyerAlipayAcc) {
        this.buyerAlipayAcc = buyerAlipayAcc;
    }

    public String getSellerAlipayAcc() {
        return sellerAlipayAcc;
    }

    public void setSellerAlipayAcc(String sellerAlipayAcc) {
        this.sellerAlipayAcc = sellerAlipayAcc;
    }

    public String getPayCardNo() {
        return payCardNo;
    }

    public void setPayCardNo(String payCardNo) {
        this.payCardNo = payCardNo;
    }

    public String getNotifyType() {
        return notifyType;
    }

    public void setNotifyType(String notifyType) {
        this.notifyType = notifyType;
    }

    public String getIdCompany() {
        return idCompany;
    }

    public void setIdCompany(String idCompany) {
        this.idCompany = idCompany;
    }

    public LocalDateTime getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(LocalDateTime updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    @Override
    public String toString() {
        return "CrsPPayRecord{" +
        "payOrderNo=" + payOrderNo +
        ", orderNo=" + orderNo +
        ", tradeNo=" + tradeNo +
        ", payTime=" + payTime +
        ", payStatus=" + payStatus +
        ", payMethod=" + payMethod +
        ", buyerAlipayAcc=" + buyerAlipayAcc +
        ", sellerAlipayAcc=" + sellerAlipayAcc +
        ", payCardNo=" + payCardNo +
        ", notifyType=" + notifyType +
        ", idCompany=" + idCompany +
        ", createdTime=" + createdTime +
        ", createdBy=" + createdBy +
        ", updatedTime=" + updatedTime +
        ", updatedBy=" + updatedBy +
        "}";
    }
}
