package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Mir.Li
 * @date 2020/8/31  -  10:18
 */
@Data
public class CurriculumDTO extends Curriculum{
    /**
     * 申请原因(0因公1因私)
     */
    @ApiModelProperty("请原因(0因公1因私)")
    private Integer reasonsDto;

    /**
     * 说明
     */
    @ApiModelProperty("说明")
    private String remarksDto;

    /**
     *代课的时间
     */
    @ApiModelProperty("代课的时间")
    private LocalDateTime classTimeDto;

    /**
     * 代课的时间
     */
    private String stringClassTimeDto;

    /**
     * 星期几
     */
    @ApiModelProperty("星期几")
    private String weekDto;

    /**
     * 课程名称
     */
    @ApiModelProperty("课程名称")
    private String curriculumNameDto;

    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private String applicationNameDto;

    /**
     * 代课人
     */
    @ApiModelProperty("代课人")
    private String replaceNameDto;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createUserDto;

    /**
     * 调课的年级
     */
    @ApiModelProperty("调课的年级")
    private String gradeDto;

    /**
     * 被调课的年级名称
     */
    @ApiModelProperty("被调课的年级名称")
    private String gradeGradeNameDto;

    /**
     * 调课的班级
     */
    @ApiModelProperty("调课的班级")
    private String classGradeDto;


    /**
     * 调课的班级名称
     */
    @ApiModelProperty("被调课的班级名称")
    private String classGradeNameDto;

    /**
     * 调的课节
     */
    @ApiModelProperty("调的课节")
    private String classPeriodGradeDto;

    /**
     * 被调课的时间
     */
    @ApiModelProperty("被调课的时间")
    private String stringApplicationTimeGradeDto;

    /**
     * 被调课的时间
     */
    @ApiModelProperty("被调课的时间")
    private LocalDateTime applicationTimeGradeDto;

    /**
     * 调的星期几
     */
    @ApiModelProperty("调的星期几")
    private String weekGradeDto;

    /**
     * 调课程名称
     */
    @ApiModelProperty("调课程名称")
    private String curriculumNameGradeDto;

}
