package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Mir.Li
 * @date 2020/9/7  -  9:53
 */
@Data
public class ElectiveCourseDto extends ElectiveCourse {

    /**
     * 学生Id
     */
    @ApiModelProperty("学生Id")
    private String studentId;

    /**
     *学生添加的选修课Id
     */
    @ApiModelProperty("学生添加的选修课Id")
    private String electiveEnrollId;

    /**
     * 学生是否选中这门课的标识 01:未选中  02已选中
     */
    @ApiModelProperty("学生是否选中这门课的标识 01:未选中  02已选中")
    private String gn;


    /**
     * 年级
     */
    @ApiModelProperty("年级")
    private String gradeDto;

    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeNameDto;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classDto;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级")
    private String classNameDto;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    private String studentNumbeDto;

    /**
     * 学生名称
     */
    @ApiModelProperty("学生名称")
    private String studentNameDto;
}
