package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: LearnAnalysis
 * @description:  学情分析列表
 * @author: llq
 * @date: 2020/9/8
 */
@Data
public class LearnAnalysis implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty("成绩为优的人数")
    private String aNumber;

    @ApiModelProperty("成绩为良的人数")
    private String bNumber;

    @ApiModelProperty("成绩为中的人数")
    private String cNumber;


    @ApiModelProperty("成绩为差的人数")
    private String dNumber;


    @ApiModelProperty("班级考试人数")
    private String classExamNumber;

    @ApiModelProperty("班级人数")
    private String classTotal;

    @ApiModelProperty("年级考试人数")
    private String gradeExamNumber;

    @ApiModelProperty("年级考试人数")
    private String gradeTotal;

}
