package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: LearnAnalysisExam
 * @description:  考试情况
 * @author: llq
 * @date: 2020/9/8
 */
@Data
public class LearnAnalysisExam implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("班级考试人数")
    private String classExamNumber;

    @ApiModelProperty("班级人数")
    private String classTotal;

    @ApiModelProperty("年级考试人数")
    private String gradeExamNumber;

    @ApiModelProperty("年级考试人数")
    private String gradeTotal;
}
