package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: LearnAnalysisRequest
 * @description:  请求参数
 * @author: llq
 * @date: 2020/9/8
 */
@Data
public class LearnAnalysisRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 学校编码
     */
    @ApiModelProperty("学校编码")
    private String schoolCode;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    private String semester;

    /**
     * 年级
     */
    @ApiModelProperty("年级")
    private String grade;


    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCode;


    /**
     * 科目名称
     */
    @ApiModelProperty("科目名称")
    private String classSubname;



    /**
     * 考试名称
     */
    @ApiModelProperty("考试名称")
    private String testdateName;

    @ApiModelProperty("忽略为空即可,此参数内部使用")
    private String type;//统计年级人数使用

}
