package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: RedFlag
 * @description:  流动红旗实体
 * @author: llq
 * @date: 2020/9/7
 */
@Data
public class RedFlag implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学校编码
     */
    @ApiModelProperty("学校编码")
    private String schoolCode;

    /**
     * 学校名称
     */
    @ApiModelProperty("学校名称")
    private String schoolName;


    /**
     * 年级
     */
    @ApiModelProperty("年级")
    private String grade;

    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCode;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;

    /**
     * 次数
     */
    @ApiModelProperty("次数")
    private Integer num;

    /**
     * 上周排名
     */
    @ApiModelProperty("上周排名")
    private Integer lastRank;


    /**
     * 本周排名
     */
    @ApiModelProperty("本周排名")
    private Integer rank;

    /**
     * 本周得分
     */
    @ApiModelProperty("本周得分")
    private Integer ts;

}
