package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: RedFlagScore
 * @description:
 * @author: llq
 * @date: 2020/9/7
 */
@Data
public class RedFlagScore implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 事项 01学生品行 02班级纪律 03个人素养 04卫生方面 05品德与表现
     */
    @ApiModelProperty("事项 01学生品行 02班级纪律 03个人素养 04卫生方面 05品德与表现")
    private String type;

    /**
     * 得分
     */
    @ApiModelProperty("得分")
    private Integer total;
}
