package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Mir.Li
 * @date 2020/9/1  -  11:46
 */
@Data
public class ScheduleDto {
    /**
     * 学校编码
     */
    @ApiModelProperty("学校编码")
    private String schoolCodeDto;

    private Integer pageNum;

    private Integer pageSize;

    /**
     * 学校名称
     */
    @ApiModelProperty("学校名称")
    private String schoolNameDto;

    /**
     * 学年
     */
    @ApiModelProperty("学年")
    private String schoolYearDto;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    private String semesterDto;

    /**
     * 年级
     */
    @ApiModelProperty("年级")
    private String gradeDto;

    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeNameDto;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCodeDto;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String classNameDto;

    /**
     * 课节
     */
    @ApiModelProperty("课节")
    private String classPeriodDto;
    /**
     * 课程名称
     */
    @ApiModelProperty("课程名称")
    private String curriculumNameDto;

    /**
     * 申请人
     */
    @ApiModelProperty("创建人")
    private String createUserDto;

    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private String applicationNameDto;
    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private LocalDateTime startTimeDto;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private LocalDateTime lastTimeDto;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentNumbe;

    /**
     * 学生Id
     */
    @ApiModelProperty("学生Id")
    private String studentId;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String stringStartTimeDto;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String stringsLastTimeDto;

    /**
     * 审核通过1
     */
    private Integer statusDto;
}
