package com.ipsa.learn.service;

import com.ipsa.learn.entity.*;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 日常检查 服务类
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-09-03
 */
public interface CourseDailycheckService extends IService<CourseDailycheck> {

    List<CourseDailycheck> getDailycheckList(ScheduleDto scheduleDto);

    /**
     * @description: 查询红旗列表
     * @param request 请求参数
     * @return:
     * @author: llq
     * @date: 2020/9/7
     */
    List<RedFlag>  getRedFlag(RedFlagRequest request);

    /**
     * @description: 事项得分
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/7
     */
    List<RedFlagScore> getRedFlagScore(RedFlagRequest request);
}
