package com.ipsa.learn.service;

import com.ipsa.learn.entity.*;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ipsa.learn.entity.dto.UserInfoDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 成绩列表 服务类
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-09-04
 */
public interface CourseResultlistService extends IService<CourseResultlist> {

    CourseResultlist getCountSum(String course_resultsupload_id);

    List<CourseResultlist> getCourseResult(String courseResultsuploadId);

    List<CourseResultlist> getResultList(CourseResultsupload courseResultsupload);

    List<CourseSoreVo> getParentsList(CourseResultsuploadVo courseResultsuploadVo);

    /**
     * @description: 学情分析
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/8
     */
    LearnAnalysisRespone getLearnAnalysis(LearnAnalysisRequest request);


    int addCommentByStudent(CommentByStudent dto);

    List<CommentByStudent> getCommentByStudent(String studentId);

    List<StudentTotalScore> getScoreSortingList(RankByClass rankByClass);
    StudentScoreDetails getStudentScoreDetails(StudentScoreDto studentScoreDto);
    List<Map<String,String>> getSubjectsName(StudentScoreDto studentScoreDto);
}
