package com.ipsa.learn.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ipsa.learn.entity.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 科目分数表 服务类
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-09-03
 */
public interface CourseScoreService extends IService<CourseScore> {

    String uploadExcels(MultipartFile file, CourseResultsuploadVo courseResultsupload);
    /**
     * @description: 历史成绩查询
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/8
     */
    List<CourseScoreHistory> getHistory(CourseScoreHistoryRequest request);
}
