package com.ipsa.learn.service.impl;

import com.ipsa.learn.entity.ChannelGatewayModel;
import com.ipsa.learn.entity.CrsPGatewayInfo;
import com.ipsa.learn.dao.CrsPGatewayInfoDao;
import com.ipsa.learn.service.CrsPGatewayInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-25
 */
@Service
public class CrsPGatewayInfoServiceImpl extends ServiceImpl<CrsPGatewayInfoDao, CrsPGatewayInfo> implements CrsPGatewayInfoService {

    @Autowired
    CrsPGatewayInfoDao crsPGatewayInfoDao;

    @Override
    public List<CrsPGatewayInfo> getGatewayInfo(ChannelGatewayModel model) {
        return crsPGatewayInfoDao.getCrsPGatewayInfo(model);
    }
}
