package com.ipsa.learn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ipsa.learn.entity.CrsPOrderForm;
import com.ipsa.learn.dao.CrsPOrderFormDao;
import com.ipsa.learn.service.CrsPOrderFormService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-25
 */
@Service
public class CrsPOrderFormServiceImpl extends ServiceImpl<CrsPOrderFormDao, CrsPOrderForm> implements CrsPOrderFormService {

    @Autowired
    CrsPOrderFormService crsPOrderFormService;

    @Override
    public List<CrsPOrderForm> getCrsOrderFrom(String orderNo) {
        LambdaQueryWrapper<CrsPOrderForm> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(CrsPOrderForm::getOrderNo,orderNo);
        return crsPOrderFormService.list(queryWrapper);
    }
}
