package com.ipsa.learn.util;


import org.apache.commons.lang3.StringUtils;

import java.security.MessageDigest;


public class SecurityUtil {
    private static final String key = "YyD3cflph";
    public static String DEFAULT_PASS_CODE = "7%3*l(*e&%k*&a(*n%$";


    /**
     * 加密字符串. MD5实现
     */
    public static String encryptMD5(String str) {
        String sign = null;
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            md.update((str + DEFAULT_PASS_CODE).getBytes());
            byte[] hash = md.digest();
            StringBuffer hexString = new StringBuffer();
            for (int i = 0; i < hash.length; i++) {
                if ((0xff & hash[i]) < 0x10) {
                    hexString.append("0"
                            + Integer.toHexString((0xFF & hash[i])));
                } else {
                    hexString.append(Integer.toHexString(0xFF & hash[i]));
                }
            }
            sign = hexString.toString();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return sign;
    }

    /**
     * 加密字符串. MD5实现
     */
    public static String MD5(String str) {
        String sign = null;
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            md.update((str).getBytes());
            byte[] hash = md.digest();
            StringBuffer hexString = new StringBuffer();
            for (int i = 0; i < hash.length; i++) {
                if ((0xff & hash[i]) < 0x10) {
                    hexString.append("0"
                            + Integer.toHexString((0xFF & hash[i])));
                } else {
                    hexString.append(Integer.toHexString(0xFF & hash[i]));
                }
            }
            sign = hexString.toString();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return sign;
    }

    /**
     * 加密字符串. Blowfish实现
     */
    public static String encrypt(String str) {
        if (str == null || str.length() == 0)
            return str;
        return XXTEA.encrypt(str, key);
    }

    /**
     * 解密字符串
     */
    public static String decrypt(String str) {
        if (str == null || str.length() == 0)
            return str;
        return XXTEA.decrypt(str, key);
    }

    /**
     * dushuhua
     * SHA1加密
     * @param str
     * @return
     */
    public static String sha1(String str){
        if(StringUtils.isBlank(str)){
            return null;
        }
        char hexDigits[] = {'0','1','2','3','4','5','6','7','8','9',
                'a','b','c','d','e','f'};
        try {
            MessageDigest mdTemp = MessageDigest.getInstance("SHA1");
            mdTemp.update(str.getBytes("UTF-8"));
            byte[] md = mdTemp.digest();
            int j = md.length;
            char buf[] = new char[j*2];
            int k = 0;
            for (int i = 0; i < j; i++) {
                byte byte0 = md[i];
                buf[k++] = hexDigits[byte0 >>> 4 & 0xf];
                buf[k++] = hexDigits[byte0 & 0xf];
            }
            return new String(buf);
        } catch (Exception e) {
            // TODO: handle exception
            return null;
        }
    }
}
