package com.ipsa.learn.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ipsa.learn.entity.CourseScore;
import com.ipsa.learn.entity.CourseScoreHistory;
import com.ipsa.learn.entity.CourseScoreHistoryRequest;

import java.util.List;

/**
 * <p>
 * 科目分数表 Mapper 接口
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-09-03
 */
public interface CourseScoreDao extends BaseMapper<CourseScore> {

    /**
     * @description: 历史成绩查询
     * @param request
     * @return:
     * @author: llq
     * @date: 2020/9/8
     */
    List<CourseScoreHistory> selectHistory(CourseScoreHistoryRequest request);
}
