package com.ipsa.learn.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;


import java.util.Date;

@TableName("comment_by_student")
public class CommentByStudent {
    @ApiModelProperty(value = "主键id",hidden = true,required = false)
    @TableId(type = IdType.AUTO)
    private Integer id; // 主键id
    @ApiModelProperty(value = "学生id",required = true,dataType = "String")
    private String studentId; //学生id
    @ApiModelProperty(value = "学生名称",required = true,dataType = "String")
    private String studentName; // 学生名称
    @ApiModelProperty(value = "老师姓名",required = true,dataType = "String")
    private String teacherName; // 老师姓名
    @ApiModelProperty(value = "老师id",required = true,dataType = "String")
    private String teacherId; // 老师id
    @ApiModelProperty(value = "老师对学生的评论",required = true,dataType = "String")
    private String commentText;  // 老师对学生的评论
    @ApiModelProperty(value = "考试列表id",required = false,dataType = "String",hidden = true)
    private String courseResultlistId;  // 考试列表id
    @ApiModelProperty(value = "科目",required = true,dataType = "String")
    private String subject; // 科目
    @ApiModelProperty(value = "评价时间",required = false,dataType = "Date",hidden = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;//  评价时间
    @ApiModelProperty(value = "修改时间",required = false,dataType = "Date",hidden = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime; // 修改时间


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getCommentText() {
        return commentText;
    }

    public void setCommentText(String commentText) {
        this.commentText = commentText;
    }

    public String getCourseResultlistId() {
        return courseResultlistId;
    }

    public void setCourseResultlistId(String courseResultlistId) {
        this.courseResultlistId = courseResultlistId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
