package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author wangyy
 */
@Data
public class CourseResultsuploadDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学校编码
     */
    @ApiModelProperty("学校编码")
    private String schoolCode;

    /**
     * 年级
     */
    @ApiModelProperty("年级编码")
    private String grade;

    /**
     * 班级
     */
    @ApiModelProperty("班级编号")
    private String classCode;

    /**
     * 学年
     */
    @ApiModelProperty("学年")
    private String schoolYear;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    private String semester;

    /**
     * 科目名称
     */
    @ApiModelProperty("科目名称")
    private String classSubname;

    /**
     * 考试名称
     */
    @ApiModelProperty("考试名称")
    private String testdateName;

    /**
     * 考试日期
     */
    @ApiModelProperty("考试日期")
    private LocalDateTime testdateTime;

    /**
     * 0未发布到班级群 1已发布到班级群
     */
    @ApiModelProperty("0未发布到班级群 1已发布到班级群")
    private Integer isPublish;
}
