package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: RedFlagRequest
 * @description:
 * @author: llq
 * @date: 2020/9/7
 */
@Data
public class RedFlagRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 学校编码
     */
    @ApiModelProperty("学校编码")
    private String schoolCode;

    /**
     * 年级
     */
    @ApiModelProperty("年级")
    private String grade;

    /**
     * 班级
     */
    @ApiModelProperty("班级code")
    private String classCode;

    /**
     * 上周开始时间
     */
    @ApiModelProperty("上周开始时间")
    private String lastStart;

    /**
     * 上周结束时间
     */
    @ApiModelProperty("上周结束时间")
    private String lastEnd;


    /**
     * 本周开始时间
     */
    @ApiModelProperty("本周开始时间")
    private String start;

    /**
     * 本周结束时间
     */
    @ApiModelProperty("本周结束时间")
    private String end;


}
