package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class StudentScoreDetails implements Serializable {
    @ApiModelProperty("学生ID")
    String studentUserId;
    @ApiModelProperty("学生名称")
    String studentUserName;
    @ApiModelProperty("总分")
    Integer totalScore;
    @ApiModelProperty("班级排名")
    Integer classRank;
    @ApiModelProperty("年级排名")
    Integer gradeRank;
    @ApiModelProperty("分数")
    Integer score;
    @ApiModelProperty("最高分")
    Integer maxScore;
    @ApiModelProperty("平均分")
    Integer avgScore;
    @ApiModelProperty("分数趋势表")
    List<ScoreTable> scoreTable;
    @ApiModelProperty("班级排名表")
    List<ScoreTable> classRankTable;
    @ApiModelProperty("年级排名表")
    List<ScoreTable> gradeRankTable;

}
