package com.ipsa.learn.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-24
 */
@Data
public class UserVo implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 学校编码
     */
    @ApiModelProperty("学校编码")
    private String schoolCode;
    /**
     * 学校名称
     */
    @ApiModelProperty("学校名称")
    private String schoolName;
    /**
     * 年级
     */
    @ApiModelProperty("年级")
    private String grade;
    /**
     * 年级
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCode;
    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;

    /**
     * 角色名称（老师,班主任,家长）
     */
    @ApiModelProperty("色名称")
    private String roles;
    /**
     * 学生ID
     */
    @ApiModelProperty("学生ID")
    private String studentUserId;
    /**
     * 学段ID
     */
    @ApiModelProperty("学段ID")
    private String periodId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private String userId;
    /**
     * 用户名称
     */
    @ApiModelProperty("用户名称")
    private String userName;

    /**
     * 学生名称
     */
    @ApiModelProperty("学生名称")
    private String studentName;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentNo;


}
