package com.ipsa.learn.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ipsa.learn.entity.Curriculum;
import com.ipsa.learn.entity.ScheduleDto;
import com.ipsa.learn.util.ResponseModel;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 排课表 服务类
 * </p>
 *
 * @author 1079626511@qq.com
 * @since 2020-08-24
 */
public interface CurriculumService extends IService<Curriculum> {

    List<Curriculum> getCurriculum(ScheduleDto scheduleDto);

    ResponseModel<String> uploadExcel(MultipartFile file, ScheduleDto scheduleDto);

    List<String> getSubjectQuery(ScheduleDto scheduleDto);

}
